Bug 1055587 - glibc v2.26 update exposes code issue in building qemu
glibc v2.26 update exposes code issue in building qemu
Status: VERIFIED FIXED
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: KVM
Current
Other Other
: P2 - High : Normal (vote)
: ---
Assigned To: E-mail List
E-mail List
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-08-24 18:50 UTC by Bruce Rogers
Modified: 2021-09-30 22:37 UTC (History)
1 user (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Bruce Rogers 2017-08-24 18:50:46 UTC
With the glibc v2.26 update, qemu-linux-user (at least) no longer builds. It seems a backport of qemu's git commit id 04b33e218 will resolve the issue.
Comment 1 Bruce Rogers 2017-08-24 19:35:55 UTC
Fixed package submitted to Factory.
Comment 2 Swamp Workflow Management 2017-11-02 23:08:36 UTC
SUSE-SU-2017:2924-1: An update that solves 8 vulnerabilities and has two fixes is now available.

Category: security (important)
Bug References: 1054724,1055587,1056291,1056334,1057378,1057585,1057966,1062069,1062942,1063122
CVE References: CVE-2017-10911,CVE-2017-12809,CVE-2017-13672,CVE-2017-13711,CVE-2017-14167,CVE-2017-15038,CVE-2017-15268,CVE-2017-15289
Sources used:
SUSE Linux Enterprise Server 12-SP3 (src):    qemu-2.9.1-6.6.3
SUSE Linux Enterprise Desktop 12-SP3 (src):    qemu-2.9.1-6.6.3
Comment 3 Swamp Workflow Management 2017-11-07 05:09:39 UTC
openSUSE-SU-2017:2938-1: An update that solves 8 vulnerabilities and has two fixes is now available.

Category: security (important)
Bug References: 1054724,1055587,1056291,1056334,1057378,1057585,1057966,1062069,1062942,1063122
CVE References: CVE-2017-10911,CVE-2017-12809,CVE-2017-13672,CVE-2017-13711,CVE-2017-14167,CVE-2017-15038,CVE-2017-15268,CVE-2017-15289
Sources used:
openSUSE Leap 42.3 (src):    qemu-2.9.1-35.1, qemu-linux-user-2.9.1-35.1, qemu-testsuite-2.9.1-35.1
Comment 4 José Ricardo Ziviani 2021-06-29 00:49:13 UTC
fixed